---
title: MediaTrackSettings.displaySurface
slug: Web/API/MediaTrackSettings/displaySurface
tags:
  - API
  - Capture
  - Media
  - Media Capture and Streaming
  - Media Capture and Streaming API
  - Monitor
  - Property
  - Reference
  - Screen Capture
  - Screen Capture API
  - Screen Sharing
  - Sharing
  - Surface
  - Video
  - display
  - displaySurface
  - screen
---
<p>{{APIRef("Media Capture and Streams")}}</p>

<p><span class="seoSummary">The {{domxref("MediaTrackSettings")}} dictionary's <strong><code>displaySurface</code></strong> property indicates the type of display surface being captured.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>displaySurface</em> = <em>mediaTrackSettings</em>.displaySurface;</pre>

<h3 id="Value">Value</h3>

<p>The value of <code>displaySurface</code> is a string that comes from the <code>DisplayCaptureSurfaceType</code> enumerated type, and is one of the following:</p>

<dl>
 <dt><code>application</code></dt>
 <dd>The stream's video track contains all of the windows belonging to the application chosen by the user. The windows are aggragated into a single video track, with any empty space filled with a backdrop; that backdrop is selected by the {{Glossary("user agent")}}.</dd>
 <dt><code>browser</code></dt>
 <dd>The stream's video track presents the entire contents of a single browser tab which the user selected during the {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}} call.</dd>
 <dt><code>monitor</code></dt>
 <dd>The video track in the stream presents the complete contents of one or more of the user's screens. Any empty space (if the displays are of different dimensions) is filled with a backdrop chosen by the user agent.</dd>
 <dt><code>window</code></dt>
 <dd>The stream's video track presents the contents of a single window selected by the user. The window may be from any application, not necessarily just from within the user agent.</dd>
</dl>

<p>Not all user agents support all of these surface types.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Capture', '#dom-mediatrackconstraintset-displaysurface', 'MediaTrackSettings.displaySurface')}}</td>
   <td>{{Spec2('Screen Capture')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaTrackSettings.displaySurface")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API">Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API/Using_Screen_Capture">Using the screen capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
 <li>{{domxref("MediaDevices.getDisplayMedia()")}}</li>
 <li>{{domxref("MediaStreamTrack.getConstraints()")}}</li>
 <li>{{domxref("MediaStreamTrack.applyConstraints()")}}</li>
 <li>{{domxref("MediaStreamTrack.getSettings()")}}</li>
</ul>
